[
{% for hook in hooks %}
  {
    "id": "{{ hook.id }}",
    "execute-command": "{{ hook.execute_command }}",
    "command-working-directory": "{{ hook.command_working_directory }}",
    "response-message": "{{ hook.response_message }}",
{% if hook.response_headers is defined %}
    "reponse-headers":
    [
{% for items in hook.response_headers -%}
      {
        "name": "{{ items.name }}",
        "value": "{{ items.value }}"
      }{% if not loop.last %},
      {% endif %}
{% endfor %}

    ],
{% endif %}
{% if hook.pass_arguments_to_command is defined %}
    "pass-arguments-to-command":
    [
{% for items in hook.pass_arguments_to_command -%}
      {
        "source": "{{ items.source }}",
        "name": "{{ items.name }}"
      }{% if not loop.last %},
      {% endif %}
{% endfor %}

    ],
{% endif %}
{% if hook.trigger_rules is defined %}
     "trigger-rule":
    {
{% for item in hook.trigger_rules -%}
      "{{ item.logicgate }}":
      [
{% for item in item.match -%}

        {
          "match":
          {
            "type": "{{ item.type }}",
{% if item.type == 'value' %}
{% set match_value = 'value' %}
{% elif item.type == 'regex' %}
{% set match_value = 'regex' %}
{% elif item.type == 'ip-whitelist' %}
{% set match_value = 'ip-range' %}
{% else %}
{% set match_value = 'secret' %}
{% endif %}
            "{{ match_value }}": "{{ item.secret }}"{% if item.parameter_name is defined %},
            "parameter":
            {
              "source": "{{ item.parameter_source }}",
              "name": "{{ item.parameter_name }}"
            }
{% endif %}

          }
        }{% if not loop.last %},
{% endif %}
{% endfor %}

      ]{% if not loop.last %},
{% endif %}
{% endfor %}
{% endif %}

    }
  }
{% endfor %}
]